require "camera"

local player
local block
local px
local py
local psped
local fps

function love.load()
	
	player = love.graphics.newImage('player.png')
	
	block = love.graphics.newImage('block.gif')

	px = 400
	py = 300

	psped = 300
end
function love.draw()
	camera:set()
	
	love.graphics.draw(player, px, py)
	
	love.graphics.draw(block, 400, 688)
	love.graphics.draw(block, 480, 688)
	love.graphics.draw(block, 560, 688)
	
	love.window.setTitle("rogue (FPS: " .. love.timer.getFPS() .. ")")
	
	love.graphics.print('X: ' .. love.mouse.getX() .. ', Y: ' .. love.mouse.getY(), 0, 20)
	
	camera:unset()
end

function love.update( dt )

	if player.x > love.graphics.getWidth() / 2 then
		camera.x = player.x - love.graphics.getWidth() / 2
		end
		
	if player.y > love.graphics.getWidth() / 2 then
		camera.y = player.y - love.graphics.getWidth() / 2
		end
		
	if love.keyboard.isDown('a') then
		px = px - psped	* dt
	end
		
	if love.keyboard.isDown('d') then
		px = px + psped * dt
	end

	if love.keyboard.isDown('w') then
		py = py - psped	* dt
	end
		
	if love.keyboard.isDown('s') then
		py = py + psped * dt
	end
	
	if 	px < 0 then
		px = 0
	end
	
	if 	px > love.graphics.getWidth() - player:getWidth() then
		px = love.graphics.getWidth() - player:getWidth()
	end
	
	if	py < 0 then
		py = 0
	end
	
	if	py > love.graphics.getHeight() - player:getHeight() then
		py = love.graphics.getHeight() - player:getHeight()
	end
end